# std::basic_string_view::rbegin, std::basic_string_view::crbegin

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reverse_iterator rbegin() const; |  | (since C++17)
constexpr const_reverse_iterator crbegin() const; |  | (since C++17)

Returns a reverse iterator to the first character of the reversed view. It corresponds to the last character of the non-reversed view.

### Parameters

(none)

### Return value

`const_reverse_iterator` to the first character

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/rbegin&oldid=91717"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template